package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 供应商企业联系人信息 历史表
 * </p>
 *
 * @author liutao
 * @since 2023-12-01
 */
@TableName("c_supplier_contact_history")
public class CSupplierContactHistory {

    private static final long serialVersionUID = 1L;
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 企业联系人姓名
     */
    @TableField("contact_name")
    private String contactName;

    /**
     * 企业联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 电子邮箱
     */
    @TableField("email")
    private String email;

    /**
     * 供应商企业信息表id
     */
    @TableField("c_supplier_info_history")
    private Long cSupplierInfoHistory;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }
    public Long getcSupplierInfoHistory() {
        return cSupplierInfoHistory;
    }

    public void setcSupplierInfoHistory(Long cSupplierInfoHistory) {
        this.cSupplierInfoHistory = cSupplierInfoHistory;
    }

    @Override
    public String toString() {
        return "CSupplierContactHistory{" +
            "contactName=" + contactName +
            ", mobile=" + mobile +
            ", email=" + email +
            ", cSupplierInfoHistory=" + cSupplierInfoHistory +
        "}";
    }
}
